# SDPMediaFormat Class Reference

`#include <sdp.h>`

Collaboration diagram for SDPMediaFormat:

[legend]

## Public Member Functions

| SDPMediaFormat (SDPMediaDescription &parent, RTP_DataFrame::PayloadTypes payloadType, const char *name=NULL)
| SDPMediaFormat (SDPMediaDescription &parent, const OpalMediaFormat &mediaFormat)
virtual void | PrintOn (ostream &str) const
virtual PObject * | Clone () const
RTP_DataFrame::PayloadTypes | GetPayloadType () const
const PCaselessString & | GetEncodingName () const
void | SetEncodingName (const PString &v)
void | SetFMTP (const PString &_fmtp)
PString | GetFMTP () const
unsigned | GetClockRate (void)
void | SetClockRate (unsigned v)
void | SetParameters (const PString &v)
void | SetRTCP_FB (const PString &v)
OpalVideoFormat::RTCPFeedback | GetRTCP_FB () const
const OpalMediaFormat & | GetMediaFormat () const
OpalMediaFormat & | GetWritableMediaFormat ()
bool | PreEncode ()
bool | PostDecode (const OpalMediaFormatList &mediaFormats, unsigned bandwidth)

## Protected Member Functions

void | SetMediaFormatOptions (OpalMediaFormat &mediaFormat) const

## Protected Attributes

OpalMediaFormat | m_mediaFormat
SDPMediaDescription & | m_parent
RTP_DataFrame::PayloadTypes | payloadType
unsigned | clockRate
PCaselessString | encodingName
PString | parameters
PString | m_fmtp
OpalVideoFormat::RTCPFeedback | m_rtcp_fb

## Constructor & Destructor Documentation

SDPMediaFormat::SDPMediaFormat | ( | SDPMediaDescription & | parent,
|  | RTP_DataFrame::PayloadTypes | payloadType,
|  | const char * | name = `NULL` |
| ) |  |  |

SDPMediaFormat::SDPMediaFormat | ( | SDPMediaDescription & | parent,
|  | const OpalMediaFormat & | mediaFormat |
| ) |  |  |

## Member Function Documentation

virtual PObject* SDPMediaFormat::Clone | ( |  | ) | const`[inline, virtual]`

unsigned SDPMediaFormat::GetClockRate | ( | void |  | ) | `[inline]`

const PCaselessString& SDPMediaFormat::GetEncodingName | ( |  | ) | const`[inline]`

PString SDPMediaFormat::GetFMTP | ( |  | ) | const

const OpalMediaFormat& SDPMediaFormat::GetMediaFormat | ( |  | ) | const`[inline]`

RTP_DataFrame::PayloadTypes SDPMediaFormat::GetPayloadType | ( |  | ) | const`[inline]`

OpalVideoFormat::RTCPFeedback SDPMediaFormat::GetRTCP_FB | ( |  | ) | const`[inline]`

OpalMediaFormat& SDPMediaFormat::GetWritableMediaFormat | ( |  | ) | `[inline]`

bool SDPMediaFormat::PostDecode | ( | const OpalMediaFormatList & | mediaFormats,
|  | unsigned | bandwidth |
| ) |  |  |

bool SDPMediaFormat::PreEncode | ( |  | ) |

virtual void SDPMediaFormat::PrintOn | ( | ostream & | str | ) | const`[virtual]`

void SDPMediaFormat::SetClockRate | ( | unsigned | v | ) | `[inline]`

void SDPMediaFormat::SetEncodingName | ( | const PString & | v | ) | `[inline]`

void SDPMediaFormat::SetFMTP | ( | const PString & | _fmtp | ) |

void SDPMediaFormat::SetMediaFormatOptions | ( | OpalMediaFormat & | mediaFormat | ) | const`[protected]`

void SDPMediaFormat::SetParameters | ( | const PString & | v | ) | `[inline]`

void SDPMediaFormat::SetRTCP_FB | ( | const PString & | v | ) | `[inline]`

## Field Documentation

unsigned SDPMediaFormat::clockRate `[protected]`

PCaselessString SDPMediaFormat::encodingName `[protected]`

PString SDPMediaFormat::m_fmtp `[protected]`

OpalMediaFormat SDPMediaFormat::m_mediaFormat `[protected]`

SDPMediaDescription& SDPMediaFormat::m_parent `[protected]`

OpalVideoFormat::RTCPFeedback SDPMediaFormat::m_rtcp_fb `[protected]`

PString SDPMediaFormat::parameters `[protected]`

RTP_DataFrame::PayloadTypes SDPMediaFormat::payloadType `[protected]`

The documentation for this class was generated from the following file:

- sdp.h